/**  Image ReSize Demo Stack v1.3.3 by Stack-Its  last update: 10.2015  */
$(document).ready(function() {
  imagesLoadedStackits('#imageresize_%id%', function() {
  /* Begin set small size conditions */
  if ("%id=imgsrctyp%" == "resware") { // resource image
    var initwd = $('img#imageresize_img_%id%').width();
    var initht = $('img#imageresize_img_%id%').height()}
  if ("%id=imgsrctyp%" == "drop") { // drop-in image
    var screenImage = $('#imageresize_dropimg_%id% img.imageStyle');
    // Create new offscreen image to test
    var theImage = new Image();
    theImage.src = screenImage.attr("src");
    // Get natural sizes
    var initwd = theImage.width;
    var initht = theImage.height;
    $('#imageresize_dropimg_%id%').css({'float': '%id=imgpos%', 'max-width': initwd + 'px'})}
  var redwd = Math.floor(initwd * (%id=redsize% / 100));
  var redht = Math.floor(initht * (%id=redsize% / 100));
  var capmtop = %id=capptop% + redht + (2* %id=imgbord%);
  if ("%id=imgsrctyp%" == "drop") {
    capmtop = %id=capptop% + redht}
  if ("%id=imgsrctyp%" == "resware") {var imgshad = Math.abs(%id=shx%) + %id=shblur%} // Set shadow conditions
  else {var imgshad = 0}
  if ("%id=imgsrctyp%" == "drop") {$('#imageresize_dropimg_%id% img.imageStyle').css({'max-width': redwd + 'px', 'max-height': redht + 'px'})}
  if ("%id=imgsrctyp%" == "resware" && "%id=imgpos%" == "right" && %id=shx% >= 0 && "%id=surrtxtenable%" == "Yes") {$('.imageresize_%id%').css({'margin-right': imgshad + 'px'})}
  if ("%id=imgsrctyp%" == "resware" && "%id=imgpos%" == "left" && %id=shx% <= 0 && "%id=surrtxtenable%" == "Yes") {$('.imageresize_%id%').css({'margin-left': imgshad + 'px'})} 
  if ("%id=hidesmcapt%" == "No" && "%id=surrtxtenable%" == "Yes") {  // Set text align conditions
    $('.imageresize_captionsm_%id%').css({'margin-top': capmtop + 'px'})}
  if ("%id=hidesmcapt%" == "No" && "%id=surrtxtenable%" == "No") {
    $('.imageresize_captionsm_%id%').css({'padding-top': capmtop + 'px'})} 
  if ("%id=hidesmcapt%" == "No" && "%id=imgsrctyp%" == "resware") {
    var smcwd = redwd;
    var smcalign = 2 * %id=imgbord%;
    if ("%id=imgpos%" == "left") {
      if ("%id=txtalign%" =="center") {$('.imageresize_captionsm_%id%').css({'margin-left': smcalign + 'px'})}
      if ("%id=txtalign%" =="right") {$('.imageresize_captionsm_%id%').css({'margin-right': -smcalign + 'px'})}}
    if ("%id=imgpos%" == "right") {
      if ("%id=txtalign%" =="center" || "%id=txtalign%" =="left") {$('.imageresize_captionsm_%id%').css({'margin-left': -smcalign + 'px'})}}
  }
  var blm = %id=blockmrt% + imgshad + (2 * %id=imgbord%); // Set surrounding text boundaries
  if ("%id=imgsrctyp%" == "drop") {blm = %id=blockmrt% + imgshad; var smcwd = redwd}
  if ("%id=imgpos%" == "left") {$('.imageresize_textblockout_%id%').css({'margin-right': blm + 'px'})}
  if ("%id=imgpos%" == "right") {$('.imageresize_textblockout_%id%').css({'margin-left': blm + 'px'})}
  $('.imageresize_imgbord_%id%, .imageresize_textblockout_%id%').css({'width': redwd + 'px', 'height': redht + 'px', 'max-width': redwd + 'px'});
  $('.imageresize_%id%').css({'max-width': redwd + 'px', 'max-height': redht + 'px'});
  $('.imageresize_%id% a').css({'max-height': redht + 'px'});
  var captionht = $('.imageresize_captionsm_%id%').height() - redht; // Set caption ht
  var fsz = parseInt($('.imageresize_captionsm_%id%').css('font-size'),10);
  if (fsz > captionht) {captionht = fsz}
  var lnhtsm = parseInt($('.imageresize_captionsm_%id%').css('line-height'),10);
  if (lnhtsm > captionht) {captionht = lnhtsm}
  if ("%id=hidesmcapt%" == "Yes") {captionht = 0}
  var capmbot = (2 * %id=imgbord%) + %id=capptop% + captionht + %id=cappbot%; // Set caption vert pos.
  if ("%id=imgsrctyp%" == "drop") {capmbot = %id=capptop% + captionht + %id=cappbot%}
  if ("%id=hidesmcapt%" == "Yes") {capmbot = capmbot - %id=capptop% - captionht}
  $('.imageresize_textblockout_%id%').css({'margin-bottom': capmbot + 'px'});
  var txtwrap = $('.imageresize_textwrap_%id%').height(); // Set wrap ht
  if ("%id=imgsrctyp%" == "drop" && "%id=surrtxtenable%" == "Yes") {txtwrap = $('.imageresize_textwrap_%id%').height();}
  if ("%id=imgsrctyp%" == "resware" && "%id=surrtxtenable%" == "No") {txtwrap = redht + %id=capptop% + captionht + %id=cappbot% + (2* %id=imgbord%); if ("%id=hidesmcapt%" == "Yes") {txtwrap = txtwrap - %id=capptop%}}
  $('.imageresize_wrap_%id%').after('<div style="padding-top: 0px; font-size: 1.5em; color:red; line-height: 110%; text-align:center;">Image ReSize Demo Version</div>');
  if ("%id=imgsrctyp%" == "drop" && "%id=surrtxtenable%" == "No") {txtwrap = redht + %id=capptop% + captionht + %id=cappbot%; if ("%id=hidesmcapt%" == "Yes") {txtwrap = txtwrap - %id=capptop%}}
  if ("%id=surrtxtenable%" == "Yes" && "%id=hidesmcapt%" == "No") {  // Check if img ht > text ht
    if ("%id=imgsrctyp%" == "drop") {var smimgtestht = $('.imageresize_%id% a').height() + %id=capptop% + captionht + %id=cappbot%}
    if ("%id=imgsrctyp%" == "resware") {var smimgtestht = $('.imageresize_%id% a').height() + (2 * %id=imgbord%) + %id=capptop% + captionht + %id=cappbot%}}
  if ("%id=surrtxtenable%" == "Yes" && "%id=hidesmcapt%" == "Yes") {
    if ("%id=imgsrctyp%" == "drop") {var smimgtestht = $('.imageresize_%id% a').height() + %id=cappbot%}
    if ("%id=imgsrctyp%" == "resware") {var smimgtestht = $('.imageresize_%id% a').height() + (2 * %id=imgbord%) + %id=cappbot%}}
  if (smimgtestht > txtwrap) {txtwrap = smimgtestht}
  $('.imageresize_wrap_%id%').css({'height': txtwrap + 'px'});
  var wrapht = $('.imageresize_wrap_%id%').height();
  $('.imageresize_textwrap_%id%').css({'padding-bottom': '0px'});
  if ("%id=capvert%" == "above") {$('.imageresize_%id%').prepend($('.imageresize_captionlg_%id%'))}
  /* End set small size conditions */
  /* Begin resize toggle on imageresize a */
  var lgwd = Math.floor(initwd * (%id=lgredsize% / 100));
  var lght = Math.floor(initht * (%id=lgredsize% / 100));
  var areawd = parseInt($('.imageresize_wrap_%id%').css('width'));  // Check if img > avail wd & fix
  if (lgwd > areawd) {var ratio = lght / lgwd; lgwd = areawd; lght = Math.floor(ratio * lgwd)}
  var redhta = initht * (%id=redsize% / 100);
  var capmtop = lght + %id=capplgtop% + (2 * %id=imgbord%);
  var caplnht = parseInt($('.imageresize_captionlg_%id%').css('line-height'),10);
  var capht = $('.imageresize_captionlg_%id%').height();
  if ("%id=imgsrctyp%" == "resware" && %id=imgbord% > 0) { //allow for img border
    var brlg = 2 * %id=imgbord%}
  else {var brlg = 0}  
  if (%id=shx% > 0) {imshad = %id=shx% + %id=shblur%} // pos shadow dir
  if (%id=shx% < 0) {imshad = %id=shblur% - %id=shx%}  // neg shadow dir
  if (%id=shx% == 0) {imshad = 0}
  lgwd = lgwd - brlg - imshad;
  var myclicks = true;
  $('.imageresize_%id% a').on('tap', function() {
    if (myclicks) {
      $('.imageresize_captionsm_%id%, .imageresize_imgbord_%id%').hide();
      var szup = (100 / %id=redsize%) * 100 * (%id=lgredsize% / 100);
      $('.imageresize_%id%').css({'max-width': lgwd + 'px', 'max-height': lght + 'px', 'width': szup + '%'});
      $('#imageresize_dropimg_%id%').css({'max-width': lgwd + 'px', 'max-height': lght + 'px', 'height': lght + 'px'});
      $('.imageresize_%id% a').css({'max-height': lght + 'px', 'height': lght + 'px', 'width': szup + '%'});
      if ("%id=imgsrctyp%" == "resware") {
        if ("%id=surrtxtenable%" == "No") {
          if (%id=shx% > 0 && "%id=imgpos%" == "left") { // pos shadow dir
            var pimg = %id=shx% + %id=shblur% + %id=imgbord%;
            $('.imageresize_%id%').css({'padding-right': pimg + 'px'})} 
          if (%id=shx% < 0 && "%id=imgpos%" == "right") { // neg shadow dir
            var pimg = %id=shblur% - %id=shx% + %id=imgbord%;
            $('.imageresize_%id%').css({'padding-left': pimg + 'px'})}
        }
        $('img#imageresize_img_%id%').animate({'max-width': lgwd + 'px', 'max-height': lght + 'px', 'width': szup + '%', 'height': szup + '%'}, 400);
      }
      else {$('#imageresize_dropimg_%id% img.imageStyle').animate({'max-width': lgwd + 'px', 'max-height': lght + 'px', 'width': szup + '%', 'height': szup + '%'}, 400)}
      $('.imageresize_textblockout_%id%').animate({'width': lgwd + 'px', 'height': lght + 'px', 'max-width': lgwd + 'px'}, 50);
      $('.imageresize_textblockout_%id%').promise().done(function() {
        if (%id=surptop% > 0 && "%id=hidelgcapt%" == "No") {$('.imageresize_text_%id%').css({'padding-top': %id=surptop% + 'px'})}
        if ("%id=capvert%" == "below" && "%id=hidelgcapt%" == "No") {
          if ("%id=imgsrctyp%" == "resware") {var fullmarbot = (2 * %id=imgbord%) + %id=capplgtop%}
          if ("%id=imgsrctyp%" == "drop") {var fullmarbot = %id=capplgtop%}
          $('.imageresize_captionlg_%id%').fadeIn().css({'margin-top': %id=capplgtop% + 'px'});
        }
        if ("%id=hidelgcapt%" == "No" && "%id=imgsrctyp%" == "resware") { // Set text align conditions
          var lgcshift = 2 * %id=imgbord%;
          if ("%id=imgpos%" == "left") {
            if ("%id=txtalign%" =="center") {$('.imageresize_captionlg_%id%').css({'margin-left': lgcshift + 'px'})}
            if ("%id=txtalign%" =="right") {$('.imageresize_captionlg_%id%').css({'margin-right': -lgcshift + 'px'})}}  
          if ("%id=imgpos%" == "right") {
            if ("%id=txtalign%" =="center" || "%id=txtalign%" =="left") {$('.imageresize_captionlg_%id%').css({'margin-left': -lgcshift + 'px'})}}}
        if ("%id=capvert%" == "above" && "%id=hidelgcapt%" == "No") { // Set title above conditions
          if ("%id=imgsrctyp%" == "resware") {fullmarbot = (2 * %id=imgbord%) + %id=lgcappbot%}
          if ("%id=imgsrctyp%" == "drop") {fullmarbot = %id=capplgtop% + %id=lgcappbot%}
          $('.imageresize_captionlg_%id%').fadeIn().css({'margin-top': %id=capplgtop% + 'px', 'margin-bottom': %id=lgcappbot% + 'px'})}
        if ("%id=hidelgcapt%" == "Yes") {fullmarbot = 0} 
        $('.imageresize_%id% a').css({'margin-bottom': fullmarbot + 'px'});
        fsz = parseInt($('.imageresize_captionlg_%id%').css('font-size')); // Set caption ht
        if ("%id=capvert%" == "below" && "%id=imgsrctyp%" == "resware") {var caphtlg = $('.imageresize_captionlg_%id%').height() - lght - (2 * %id=imgbord%)}
        if ("%id=capvert%" == "below" && "%id=imgsrctyp%" == "drop") {var caphtlg = $('.imageresize_captionlg_%id%').height() - lght}
        if (caphtlg > fsz) {capht = caphtlg}
        else {capht = fsz}
        if ("%id=surrtxtenable%" == "No") {$('.imageresize_captionlg_%id%').css({'margin-bottom': %id=lgcappbot% + 'px'})}
        if ("%id=imgsrctyp%" == "resware") {$('.imageresize_imgbord_%id%').show().css({'width': lgwd + 'px', 'height': lght + 'px', 'max-width': lgwd + 'px'})}
        var txtwraphtlg = $('.imageresize_text_%id%').outerHeight(); // Set wrap ht
        if ("%id=surrtxtenable%" == "No") {
          if ("%id=imgsrctyp%" == "resware") {var shadbot = 0; if ("%id=shy%" > 0) {shadbot = %id=shy%}; var bfact = 2; if ("%id=capvert%" == "below") {bfact = 1}; var wraplg = lght + %id=capplgtop% + captionhtlg + (bfact * %id=lgcappbot%) + (2 * %id=imgbord%) + shadbot}
          if ("%id=imgsrctyp%" == "drop") {var bfact = 1; if ("%id=capvert%" == "above") {bfact = 2}; var wraplg = lght + %id=capplgtop% + captionhtlg + (bfact * %id=lgcappbot%)}
          if ("%id=hidelgcapt%" == "Yes") {
            if ("%id=imgsrctyp%" == "resware") {wraplg = lght + (2 * %id=imgbord%) + %id=lgcappbot%}
            if ("%id=imgsrctyp%" == "drop") {wraplg = lght + %id=lgcappbot%}}}
        if ("%id=surrtxtenable%" == "Yes" && "%id=hidelgcapt%" == "No") {  // Check img ht > txt ht
          if ("%id=imgsrctyp%" == "drop") {var testlgimg = $('#imageresize_dropimg_%id%').height(); var imgtestht = lght + %id=capplgtop% + captionhtlg + %id=lgcappbot% + fullmarbot}
          if ("%id=imgsrctyp%" == "resware") {var imgtestht = lght + (2 * %id=imgbord%) + %id=capplgtop% + captionhtlg + %id=lgcappbot%}}
        if ("%id=surrtxtenable%" == "Yes" && "%id=hidelgcapt%" == "Yes") {
          if ("%id=imgsrctyp%" == "drop") {var imgtestht = $('.imageresize_%id% a').height() + %id=lgcappbot% + fullmarbot}
          if ("%id=imgsrctyp%" == "resware") {var imgtestht = $('.imageresize_%id% a').height() + (2 * %id=imgbord%) + %id=lgcappbot% + fullmarbot}}
        if (imgtestht > txtwraphtlg) {txtwraphtlg = imgtestht}
        if ("%id=surrtxtenable%" == "Yes") {$('.imageresize_wrap_%id%').css({'height': txtwraphtlg + 'px', 'padding-bottom': '0px'})}
        if ("%id=surrtxtenable%" == "No") {$('.imageresize_wrap_%id%').css({'height': wraplg + 'px', 'padding-bottom': '0px'})}
        myclicks = false;
      });  // end promise func
      if ("%id=capvert%" == "above") {var captionhtlg = $('.imageresize_captionlg_%id%').height()}
      else {captionhtlg = capht}
      var capmbotlg = (2 * %id=imgbord%) + %id=capplgtop% + captionhtlg + %id=lgcappbot%;  // Set caption vert pos.
      if ("%id=hidelgcapt%" == "Yes") {capmbotlg = (2 * %id=imgbord%) + %id=lgcappbot%}
      if ("%id=capvert%" == "above" && "%id=hidelgcapt%" == "No") {capmbotlg = (2 * %id=imgbord%) + %id=capplgtop% + captionhtlg + %id=lgcappbot% + %id=imgbotp%}
      if ("%id=imgsrctyp%" == "drop") {capmbotlg = capmbotlg - (2 * %id=imgbord%)}
      if ("%id=surrtxtenable%" == "Yes") {$('.imageresize_textblockout_%id%').css({'margin-bottom': capmbotlg + 'px'})}
    }
    else { // shrink to small size
      var capmtop = %id=capptop% + redht + (2 * %id=imgbord%);
       if ("%id=imgsrctyp%" == "drop") {capmtop = %id=capptop% + redht}
       if ("%id=hidesmcapt%" == "Yes") {capmtop = capmtop - %id=capptop%}
      $('.imageresize_captionlg_%id%, .imageresize_imgbord_%id%').hide();
      if (%id=surptop% > 0) {$('.imageresize_text_%id%').css({'padding-top': '0px'})}
      if ("%id=imgpos%" == "left") {var smishift = 0;
        if ("%id=imgsrctyp%" == "resware" && "%id=surrtxtenable%" == "Yes") {smishift = %id=imgbord%; var smishshift = %id=imgbord% + Math.abs(%id=shx%) + %id=shblur%}
        if ("%id=imgsrctyp%" == "resware" && "%id=surrtxtenable%" == "No") {smishift = %id=imgbord%}
      }
      else { // img rt
        if ("%id=imgsrctyp%" == "drop") {var smishift = 0}
        if ("%id=imgsrctyp%" == "resware") {var smishift = initwd}}  
      if ("%id=surrtxtenable%" == "Yes") {
        $('img#imageresize_img_%id%, #imageresize_dropimg_%id%, #imageresize_dropimg_%id% img.imageStyle').animate({'margin-left': smishift + 'px'}).css({'max-width': redwd + 'px', 'max-height': redht + 'px'},400);
        $('.imageresize_%id%').css({'max-width': redwd + 'px', 'margin-left': smishshift + 'px'})}
      if ("%id=surrtxtenable%" == "No") {
        $('img#imageresize_img_%id%, #imageresize_dropimg_%id%, #imageresize_dropimg_%id% img.imageStyle').animate({'margin-left': smishift + 'px'}).css({'max-width': redwd + 'px', 'max-height': redht + 'px'},400);
        $('.imageresize_%id%').css({'max-width': redwd + 'px'}).animate({'max-width': redwd + 'px', 'max-height': redht + 'px'}, 50);
      }  
      $('.imageresize_%id% a').css({'max-height': redhta + 'px', 'margin-bottom': '0px'});
      $('.imageresize_textblockout_%id%').animate({'width': redwd + 'px', 'height': redht + 'px', 'max-width': redwd + 'px'}, 300);
      $('.imageresize_textblockout_%id%').promise().done(function() {
        if ("%id=hidesmcapt%" == "No" && "%id=surrtxtenable%" == "Yes") {  // Set text align conditions
          $('.imageresize_captionsm_%id%').css({'margin-top': capmtop + 'px'})}
        if ("%id=hidesmcapt%" == "No" && "%id=surrtxtenable%" == "No") {$('.imageresize_captionsm_%id%').css({'padding-top': capmtop + 'px'})}
        if ("%id=hidesmcapt%" == "No" && "%id=imgsrctyp%" == "resware") {  // Resource images
          if ("%id=imgpos%" == "right") {
            if ("%id=surrtxtenable%" == "No") {var smcshift = $('.imageresize_captionsm_%id%').css('margin-left')}
            else {var smcshift = 2 * %id=imgbord%}
            if ("%id=txtalign%" =="center") {$('.imageresize_captionsm_%id%').css({'margin-left': '0px'})}
            if ("%id=txtalign%" =="left") {$('.imageresize_captionsm_%id%').css({'margin-left': '-' + smcshift + 'px'})}
            if ("%id=txtalign%" == "right") {$('.imageresize_captionsm_%id%').css({'width': smcwd + 'px', 'margin-left': '0px', 'margin-right': '0px'})}}
          if ("%id=imgpos%" == "left") {
            if ("%id=surrtxtenable%" == "No") {var smcshift = $('.imageresize_captionsm_%id%').css('margin-right')}
            else {var smcshift = 2 * %id=imgbord%}
            if ("%id=txtalign%" == "center") {$('.imageresize_captionsm_%id%').css({'width': smcwd + 'px', 'padding-right': imgshad + 'px'})}
            if ("%id=txtalign%" == "left") {$('.imageresize_captionsm_%id%').css({'width': smcwd + 'px'})}
            if ("%id=txtalign%" == "right") {$('.imageresize_captionsm_%id%').css({'width': smcwd + 'px', 'margin-right': '-' + smcshift + 'px'})}}}
        if ("%id=hidesmcapt%" == "No" && "%id=imgsrctyp%" == "drop") {  // Drop-in images
          if ("%id=imgpos%" == "left") {
            var smcshift = lgwd - redwd;
            if ("%id=txtalign%" == "center") {$('.imageresize_captionsm_%id%').css({'width': smcwd + 'px'})}
            if ("%id=txtalign%" == "left") {$('.imageresize_captionsm_%id%').css({'width': smcwd + 'px'})}}
        }
        myclicks = true;
      });  // end promise func
      if ("%id=surrtxtenable%" == "Yes") {$('.imageresize_textblockout_%id%').css({'margin-bottom': capmbot + 'px'})}
      if ("%id=hidesmcapt%" == "No") {$('.imageresize_captionsm_%id%').fadeIn()}
      if ("%id=imgpos%" == "right") {$('.imageresize_imgbord_%id%').css({'margin-left': '0px'})}
      if ("%id=imgsrctyp%" == "resware") {$('.imageresize_imgbord_%id%').show().css({'width': redwd + 'px', 'height': redht + 'px', 'max-width': redwd + 'px'})}
      if ("%id=surrtxtenable%" == "Yes") {$('.imageresize_wrap_%id%').animate({'height': wrapht + 'px', 'padding-bottom': '0px'},400)}
      if ("%id=surrtxtenable%" == "No") {$('.imageresize_wrap_%id%').css({'height': txtwrap + 'px', 'padding-bottom': '0px'})}
    }
  });
  /* End resize toggle on imageresize a */
  });  // end images loaded check
}); 
/* End Image ReSize Demo Stack */